Create a new Agent

Onboards a new agent in IBM Verify following the SCIM 2.0 Agent schema.

Schema: urn:ietf:params:scim:schemas:core:ibm:2.0:Agent

Required Entitlements (at least one): tenantAdmin, writeAgents, agentOwner

Mandatory Fields

  • schemas (array): SCIM schema URIs - REQUIRED
  • displayName (string, max 256 chars): Human-readable name for the agent. Must be unique within tenant - REQUIRED

Optional Fields

  • status (string): Agent status. Values: DEFAULT, ACTIVE, SUSPENDED, UNDER_REVIEW. Any value provided is silently overridden to UNDER_REVIEW on creation.
  • description (string, max 1024 chars): Detailed description of the agent's purpose
  • externalIds (array): External system identifiers. Each must be unique within tenant. Max 1000 items, each max 128 chars.
  • owners (array): Owner user IDs
  • tags (array): Custom tags for categorization
  • authMethods (array): Authentication methods. Each requires 'name' (unique within agent, max 128 chars) and 'type' (jwt, certificate, oidc, oauth, apikey, mtls, svid-jwt, svid-x509)

Read-Only Fields

  • oauthClients (array): OAuth clients are READ-ONLY. Fetched dynamically once Agent Id gets associated with OIDC Applications. Cannot be set through POST/PUT.

Uniqueness Constraints

  • displayName: Must be unique within tenant
  • externalIds: Each externalId must be unique within tenant
  • authMethods[].name: Must be unique within the agent
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Body Params

Agent creation request with SCIM 2.0 compliant schema

Agent creation request schema. Both 'schemas' and 'displayName' are required.

schemas
array of strings
required

REQUIRED - SCIM schema URIs

schemas*
string
required
length ≀ 256

REQUIRED - Human-readable name for the agent. Must be unique within tenant. Max 256 characters.

string
enum

Agent status (optional). Always set to UNDER_REVIEW on creation — any value provided is silently overridden.

Allowed:
string
length ≀ 1024

Detailed description of the agent's purpose (optional). Max 1024 characters.

externalIds
array of strings
length ≀ 1000

External identifiers from source systems (optional). Each externalId must be unique within the tenant. Max 1000 items, each max 128 chars.

externalIds
owners
array of objects

Owner user IDs (optional).

owners
tags
array of strings

Custom tags for categorization (optional).

tags
authMethods
array of objects

Authentication methods (optional). Each requires 'name' (unique within agent, max 128 chars) and 'type'.

authMethods
Responses
201

Agent created successfully

400

Bad Request - Invalid request payload (CSINH1002E) or validation errors (CSINH2100E-CSINH2112E)

401

Unauthorized - Authentication required

403

Forbidden - Insufficient permissions (CSINH2501E)

409

Conflict - Agent with same displayName or externalId already exists (CSINH2002E)

500

Internal Server Error (CSINH1000E)

Language
URL
LoadingLoading